Loading...
Searching...
No Matches
BNO08x::bno08x_rx_packet_t Struct Reference

Holds data that is received over spi. More...

## Public Attributes

uint8_t | header [4]
| Header of SHTP packet.
uint8_t | body [300]
uint16_t | length
| Body of SHTP packet.

## Detailed Description

Holds data that is received over spi.

## Member Data Documentation

## body

uint8_t BNO08x::bno08x_rx_packet_t::body[300]

## header

uint8_t BNO08x::bno08x_rx_packet_t::header[4]

Header of SHTP packet.

## length

uint16_t BNO08x::bno08x_rx_packet_t::length

Body of SHTP packet.

Packet length in bytes.

The documentation for this struct was generated from the following file:

- BNO08x.hpp